Множественные уязвимости в OpenOffice

Дата публикации:
05.07.2006
Дата изменения:
05.07.2006
Всего просмотров:
2082
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-2198
CVE-2006-2199
CVE-2006-3117
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
OpenOffice 1.1.x
OpenOffice.org 2.x
Уязвимые версии:
OpenOffice 1.1.x
OpenOffice 2.x

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю скомпрометировать уязвимую систему.

1. Уязвимость существует при обработке определенных Java апплетов в документах OpenOffice. Удаленный пользователь может с помощью специально сформированного документа обойти ограничения песочницы и получить доступ к системным ресурсам с привилегиями текущего пользователя.

2. Уязвимость существует из-за ошибки при обработке макросов, прикрепленных к документам. Злоумышленник может без ведома пользователя выполнить произвольный Basic код с привилегиями текущего пользователя.

3. Уязвимость существует из-за ошибки проверки границ данных при обработке определенных XML файлов. Удаленный пользователь может с помощью специально сформированного XML файла вызвать переполнение буфера и выполнить произвольный код на целевой системе.

URL производителя: www.openoffice.org

Решение: Установите последнюю версию (2.0.3) с сайта производителя.

Ссылки: OpenOffice.org Security Bulletin 2006-06-29

или введите имя

CAPTCHA